﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	Private Timer As Timer
	Public isRunning As Boolean
End Sub

Sub Service_Create
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_ALWAYS
End Sub

Sub Service_Start (StartingIntent As Intent)
	isRunning = True
	Timer.Initialize ("Timer", 1000)
	Timer.Enabled = True
End Sub

Sub Service_Destroy
	isRunning = False
	Log ("Attempt to destroy the service")
	StartService (Me)
End Sub

Sub Timer_Tick
	Dim jo As JavaObject
    jo.InitializeContext
	If jo.RunMethod ("serviceIsRunningInForeground", Null) Then	Log (DateTime.Now & " Foreground") Else Log (DateTime.Now & " Background")	
End Sub

#If Java
import android.content.Context;
import android.app.ActivityManager;

    public boolean serviceIsRunningInForeground ()
		{
        ActivityManager manager = (ActivityManager) processBA.context.getSystemService (Context.ACTIVITY_SERVICE);
		
        for (ActivityManager.RunningServiceInfo service : manager.getRunningServices (Integer.MAX_VALUE))
			{
            if (getClass ().getName ().equals (service.service.getClassName ()))
				{
				
                if (service.foreground)
					{
                    return true;
                	}				
	            }
    	    }
        return false;
    	}
#End If